#
# spec file for package lit
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lit
Version:        0.4.1
Release:        5.3
Summary:        A portable tool for executing test suites
License:        NCSA
Group:          Development/Tools
Url:            http://llvm.org/svn/llvm-project/llvm/trunk/utils/lit
Source0:        https://pypi.python.org/packages/source/l/lit/lit-%{version}.tar.gz
BuildRequires:  python-base
BuildRequires:  python-setuptools
Requires:       python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
Lit is a portable tool for executing LLVM and Clang style test suites,
summarizing their results, and providing indication of failures.
Lit is designed to be a lightweight testing tool with as simple a
user interface as possible.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr (-,root,root)
%doc README.txt TODO
%{_bindir}/lit
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py*.egg-info

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Sun Oct 26 2014 idonmez@suse.com
- Update to version 0.4.1
  * No changelog upstream
* Fri Jul 11 2014 idonmez@suse.com
- Initial release for build.opensuse.org
